﻿.home-form-pin-cta {
    font-size: 25px;
    line-height: 100%;
    text-align: left;
}

.rounded-image img {
    max-width: 700px;
    width: 100%;
    height: auto;
}

.home-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #ffffff;
    width: 100%;
}

.home-container a {
    color: #040404;
}

.background-container {
    width: 100%;
}

.header-paragraph {
    max-width: 550px;
    font-size: 33px;
    text-align: left;
    margin-top: 0;
    margin-bottom: 16px;
    line-height: 45px;
}

.header-cta {
    max-width: 650px;
    font-variant-ligatures: none;
}

.home-content {
    width: 100%;
}

.heading-container {
    flex: 1 2 auto;
    text-align:  left;
    box-sizing: border-box;
}

.heading-container .immediate-assistance {
    font-size: 20px;
    line-height: 22px;
    padding-top: 8px;
}

.heading-container h1 {
    font-weight: bold;
    font-size: 55px;
    line-height: 71px;
    text-align: left;
    color: #323131;
    margin-bottom: 1rem;
}

.form-image-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    background-image: url('../images/DT_BKG.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.form-text-container {
    display:  flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    max-width: 1600px;
    margin: 0 auto;
    padding: 40px 0;
}

.home-form {
    padding: 10px 0 20px 0;
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: flex-start;
    width: 100%;
    max-width: 550px;
}

/* FEATURES SECTION */
.features-section {
    display: flex;
    align-items: center;
    background-color: #308898;
    padding: 40px 80px;
    width: 100%;
}

.features-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    max-width: 1600px;
    margin: 0 auto;
    gap: 40px;
    width: 100%;
}

.feature-main {
    max-width: none;
}

.feature-main h3 {
    color: white;
    font-size: 37px;
    font-weight: 700;
    line-height: 100%;
    margin: 0;
}

.feature-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column: 2 / 4; /* Makes the list span columns 2 and 3 */
    gap: 12px 40px;
}

.feature-item {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    color: white;
}

.feature-icon {
    width: 20px;
    height: auto;
    flex-shrink: 0;
    margin-top: 5px;
}

.feature-text {
    font-size: 16px;
    line-height: 1.2;
    flex: 1;
}

/* SECONDARY CTA SECTION */
.secondary-cta-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: white;
    width: 90%;
    margin: 0 auto;
}

.secondary-cta-form div {
    font-size: 20px;
}

.secondary-cta-form-row {
    display: flex;
    align-items: center;
    gap: 10px; /* optional spacing between input and button */
}

.secondary-cta-form-row button {
    white-space:  nowrap;
}

.right-column > * {
    text-align: left;
    margin-left: 0;
    padding-left: 0;
}

input[type="text"],
button {
    display: inline-block;
    vertical-align: middle;
}

.secondary-cta-form input,
.secondary-cta-form button {
    width: 100%;
    padding: 5px 5px;
    margin: 10px 0;
    text-align: center;
    border-radius: 4px;
    flex: 1;
}

.secondary-cta-form button{
    background-color: #133F8E;
    max-width: 200px;
    border: none;
    color: white;
    font-size: 24px;
    font-weight: bold;
    padding: 13px;
    cursor: pointer;
}

.secondary-cta-form input {
    max-width: 435px;
    width: 100%;
    padding: 10px;
    font-size: 24px;
    text-align: center;
    border: 2px solid #308898;
    box-sizing: border-box;
    outline: none;
    background-color: #ffffff;
    color: gray;
    border-radius: 4px;
    flex: 1;
}

.secondary-cta-form input::placeholder {
    text-align: center;
    color: #333;
    opacity: 1;
}

.secondary-cta-form label {
    font-size: 1.2em;
    display: block;
    margin: 10px 0px;
}

.fastest-service {
    font-size: 22px;
}

.home-form input,
.home-form button {
    width: 100%;
    padding: 12px 20px;
    margin: 10px 0;
    text-align: center;
    border-radius: 4px;
}

.home-form button {
    background-color: #133F8E;
    border: none;
    color: white;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
}

.home-form input {
    width: 100%;
    padding: 11px 20px;
    font-size: 24px;
    text-align: center;
    border: 2px solid #308898;
    box-sizing: border-box;
    outline: none;
    background-color: #fff;
    color: gray;
    border-radius: 4px;
}

.home-form input::placeholder {
    text-align: center;
    color: #333;
    opacity: 1;
    font-size: 24px;
}

.home-form label {
    font-size: 1.2em;
    display: block;
    margin: 10px 0px;
}

.label-part {
    display: block;
    line-height: 1.2;
    font-size: 16px;
    font-weight: normal;
}

.home-no-code-link {
    font-size: 16px;
    text-align: left;
    padding-top: 10px;
}

.home-no-code-link a {
    color: #308898;
    font-weight:  bold;
    text-decoration: underline;
}

.secondary-cta-container .immediate-assistance {
    font-size: 18px;
    line-height: 100%;
    text-align: left;
    padding-top: 10px;
    color: #000000;
}

.immediate-assistance a {
    font-weight: bold;
}

.immediate-assistance-mobile {
    font-size: 16px;
    line-height: 100%;
    text-align: left;
    align-self: flex-start;
    color: #000000;
    padding: 0;
    margin: 0;
}

.feature {
    flex: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
    margin: 10px 5px 10px 0;
}

.click-here {
    color: #308898 !important;
    font-weight: 400 !important;
    text-decoration: underline !important;
}

.secondary-cta-container {
    background-color: #AFEEE4;
    width: 100%;
    padding: 40px 80px;
}

.secondary-cta-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    gap: 100px;
    max-width: 1600px;
    margin: 0 auto;
}

.left-column {
    background: white;
    padding: 40px;
    border-radius: 36px;
}

.left-column h3 {
    max-width: 400px;
    font-size: 34px;
    font-weight: bold;
    line-height: 44px;
    color: #323131;
    margin-bottom: 20px;
}

.left-column-list {
    padding: 0;
    margin: 0;
    list-style-type: none;
    font-variant-ligatures: none;
}

.left-column-list li {
    display: flex;
    color: #000000;
    font-size: 22px;
    padding-bottom: 5px;
    font-variant-ligatures: none;
}

.left-column-list li::before {
    display: inline-block;
    position: relative;
    content: '•';
    font-size: 16px;
    color: #0F75BC;
    text-align: center;
    align-self: flex-start;
    margin-right: 8px;
    padding-top: 5px;
    font-variant-ligatures: none;
}

.right-column {
    flex: 1 1 auto;
}

.right-column h3 {
    font-size: 37px;
    font-weight: bold;
    color: #323131;
    margin-bottom: 6px;
}

.right-column h3,
.right-column form {
    margin-left:  0;
    padding-left: 0;
}

.no-impact-undertext {
    font-size: 19px;
    color: #000000;
    margin: 0;
}

.no-impact-undertext span {
    font-weight: 700;
}

.form-enter-text {
    color: #000000;
    margin: 10px 0 0;
    font-size: 25px;
}

.secondary-cta-container .feature-text {
    font-size: 16px;
}

.secondary-cta-container h2 {
    font-weight: bold;
}

.secondary-cta-form-container {
    color:  #000000;
}

.feature-text {
    font-size: 24px;
    line-height: 1.2;
    color: white;
}

.desktop-only {
    display: block;
}

.mobile-only {
    display: none;
}

.no-wrap {
    white-space: nowrap;
}

#submit-apply-now-1, #submit-apply-now-2 {
    background-color: #308898;
    border-radius: 4px;
    font-size: 24px;
    color: #ffffff;
    font-weight: 700;
}

#submit-apply-now-2 {
    max-width: 435px;
}

.secondary-cta-form-row #submit-apply-now-1 #submit-apply-now-2 {
    flex: 0 0 200px;
}

.spanish-text {
    font-size: 18px;
    color: #000000;
}

.spanish-text a {
    font-weight: bold;
}

@media only screen and (max-width: 1700px) {
    .form-text-container {
        max-width: 1600px;
        padding: 40px 80px;
    }
    .heading-container h1 {
        font-size: 44px;
        line-height: 48px;
    }

    .header-paragraph {
        font-size: 22px;
        line-height: 27px;
    }

    .home-form-pin-cta {
        font-size: 22px;
        line-height: 27px;
    }

    .right-column h3 {
        font-size: 44px;
        line-height: 48px;
    }

    .left-column h3 {
        font-size: 30px;
        line-height: 35px;
    }

    .left-column-list li {
        font-size: 20px;
        line-height: 24px;
    }

    .secondary-cta-container .immediate-assistance {
        font-size: 18px;
        line-height: 24px;
    }

    #submit-apply-now-1, #submit-apply-now-2 {
        max-width: unset;
    }
}

/*MEDIA QUERIES - MOBILE*/
@media only screen and (max-width: 768px) {
    .home-form-pin-cta,
    .home-form,
    #submit-apply-now,
    .left-column h3,
    .secondary-cta-form input {
        max-width: none;
    }

    .form-image-container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .form-text-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 40px 40px 0;
        gap: 0;
    }

    .rounded-image.mobile-only {
        width: 100%;
        display: block;
        padding: 0 0 40px 40px; 
        align-self: flex-end;
    }

    .heading-container h1 {
        font-size: 40px;
        line-height: 44px;
        text-align: left;
    }

    .header-paragraph {
        font-size: 22px;
        font-weight: 500;
        text-align: left;
        margin-top: 10px;
        margin-bottom: 32px;
    }

    .home-form-pin-cta {
        font-size: 22px;
        line-height: 27px;
    }

    .home-form .immediate-assistance {
        margin-bottom: 20px;
    }

    #submit-apply-now-1 {
        font-size: 20px;
    }

    .rounded-image {
        width: 90%;
        align-self: flex-end;
        padding-bottom: 40px;
    }

    .home-form {
        padding:  0;
    }

    .home-no-code-link {
        text-align: left;
    }

    .desktop-only {
        display: none;
    }

    .mobile-only {
        display: inline;
    }

    .home-image img {
        box-shadow: 0 0 10px rgba(0,0,0,.1);
    }

    /* FEATURES SECTION */
    .features-section {
        padding: 40px;
    }

    .features-content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 0;
        gap: 20px;
        margin: 0 auto;
        max-width: 400px;
    }

    .feature-main {
        max-width: 100%;
    }

    .feature-main h3 {
        text-align: left;
        font-size: 29px;
    }

    .feature-list {
        display: grid;
        grid-template-columns: 1fr;
    }

    .feature-item:nth-child(1) {
        order: 1;
    }
    
    .feature-item:nth-child(2) {
        order: 3;
    }
    
    .feature-item:nth-child(3) {
        order: 2;
    }
    
    .feature-item:nth-child(4) {
        order: 4;
    }

    .feature-item {
        display: flex;
        align-items: flex-start;
        gap: 10px;
    }

    .feature-text {
        font-size: 16px;
    }

    /* SECONDARY CTA SECTION */
    .secondary-cta-content {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        padding: 0;
        gap: 0;
    }
    
    .secondary-cta-container {
        padding: 40px;
    }

    .secondary-cta-form-row #submit-apply-now {
        flex: 1 1 auto;
        width: 90%;
    }

    .left-column-list li {
        font-size: 16px;
    }

    .left-column-list li:before {
        padding-top: 0;
        top: 0;
    }

    .feature {
        display: flex;
        align-items: center;
        margin-bottom: 10px;
        margin-right:  60px;
        justify-content: center;
    }

    .feature-text {
        font-size: 16px;
    }

    .right-column h3 {
        font-size: 25px;
        line-height: 35px;
    }

    .no-impact-undertext {
        font-size: 20px;
        line-height: 22px;
    }

    .secondary-cta-form {
        width: 100%;
        padding: 0;
    }

    .secondary-cta-form-row {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        gap: 10px;
    }

    .secondary-cta-form input::placeholder {
        font-size: 24px;
    }

    .no-wrap {
        white-space: nowrap;
    }
    
    .right-column {
        width: 100%;
    }

    .right-column .immediate-assistance {
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 480px) {
    .heading-container {
        margin: 0;
    }

    .heading-container h1 {
        max-width: 375px;
    }

    .header-paragraph {
        max-width: 270px;
    }

    .no-impact-undertext {
        max-width: 300px;
    }

    .home-form {
        max-width: 435px;
    }

    #submit-apply-now{
        max-width: 435px;
    }

    .secondary-cta-form  input {
        max-width: 435px;
    }

    .header-paragraph {
        font-size: 20px;
    }

    .label-part {
        font-size: 18px;
    }

    .home-no-code-link {
        font-size: 16px;
    }
}
